
/*--------------------------------------------------------------
#JJ alters media-credit plugin attributes to reposition media-credit 
Note: during updates of this plugin, the media-credit.php file needs to have the media-credit-container updated to remove the 10px addition and add 'photo by'
--------------------------------------------------------------*/

.media-credit { 
    font-size: 10px;
    font-size: 1.0rem;
    /*line-height: 1.2em;*/
    margin: -14px -14px;
    /*display: block;*/
    color: #000000;
    -webkit-transform: rotate(270deg);
    -moz-transform: rotate(270deg);
    -ms-transform: rotate(270deg);
    -o-transform: rotate(270deg);
    -transform: rotate(270deg);
    transform-origin: 100% 100%;
    top: 0;
    right: 0;
    position: absolute;
    background-color: rgba(255, 255, 255, 0.7);
    padding: 1px 10px;
    text-transform: uppercase;
}

.media-credit-container {
    position:relative;    
}
.media-credit-container.alignleft {
    display: block; 
    float: none;     
}

/* Alignment responsive #JJ takes care of alignment issues when credit is attached */
@media screen and (min-width: 1320px) {
    .media-credit-container.alignleft {
        margin-left: 0px; 
    }
}

@media screen and (min-width: 1820px) {
    .media-credit-container.alignright { 
        margin-right: 0px; 
    }
}


/*.dashicons {
    margin-top: 7px;
    margin-left: 7px;
    padding: 2px;
    width: 30px;
    height: 30px;
    box-shadow: 0 1px 3px rgba(0,0,0,0.5);
    background-color: #000;
    background-color: rgba(0,0,0,0.9) !important; 
    cursor: pointer;
    color: white;
    font-size: 30px;
}*/



/*--------------------------------------------------------------
#JJ - Overrides wpDataTables styling  
--------------------------------------------------------------*/

.wpDataTablesWrapper table.wpDataTable thead tr th {
    font-family: 'Encode Sans Condensed', sans-serif;
    font-weight:normal;
}
.wpDataTablesWrapper table.wpDataTable thead th, .wpDataTablesWrapper table.wpDataTable thead tr th, .wpDataTablesWrapper table.wpDataTable td, .wpDataTablesWrapper .dataTables_paginate a,
.wpDataTablesWrapper .paging_full_numbers a.paginate_button { 
    -o-transition:none;
    -ms-transition:none;
    -moz-transition:none;
    -webkit-transition:none;
    transition:none;	
    cursor:pointer;    
    vertical-align:middle;
}

.wpDataTablesWrapper table.wpDataTable thead tr:nth-child(2) th {
    background-color: #fff!important;
}


.wpDataTablesWrapper .checkbox_filter.btn { /* #JJ - Overrides checkbox filter field in tables to look similar to other filter fields */
    background-color: #fdfdfd !important;
    border: 1px solid rgb(204, 204, 204) !important;
   
    background-image: none !important;
    color: darkgrey;
    border-radius: 3px !important;
}

@media screen and (max-width: 990px) {    
    .wpDataTablesWrapper table.wpDataTable {
        font-size: 80%;
    }
}

table.has-columns-hidden > tbody > tr > td > span.responsiveExpander { /* #JJ - Makes + button larger that appears in tables on mobile devices */
    padding: 11px!important;
}

.filter_column.filter_text, .filter_column.filter_checkbox { /* #JJ - changes size of placeholder text in wptables*/
    font-size: 13px;
    font-size: 1.3rem;
}

/*--------------------------------------------------------------
#JJ - Overrides BuddyPress styling  
--------------------------------------------------------------*/

#buddypress #whats-new-options {
    height:62px;  /* #JJ - put here to stop autohiding group 'post update' button */
}

#buddypress div.item-list-tabs ul li.selected a span,
#buddypress div.item-list-tabs ul li.current a span,
#buddypress div.item-list-tabs ul li a span,
#buddypress div.item-list-tabs ul li a:hover span {
    background-color: #ececec;   
}


/* JJ - General fixes for mobile viewing of dog pages */
.picture-outer-container, .picture-inner-container {
    float:none;
    right:0;
    left:0;
}

.picture-inner-container .picture-middle {   
    float: none;
}
.picture-inner-container .picture-middle img {   
    margin: auto;
}
.bp-widget.base a {  /* #JJ - Makes sure URLs on dog pages don't cause the screen to become to wide on mobile */
   overflow-wrap: break-word;
   word-wrap: break-word;
   word-break: break-all;
}

/* #JJ - Forum mobile hiding of columns */
@media screen and (max-width: 540px) { 
    li.bbp-topic-voice-count, li.bbp-topic-reply-count, li.bbp-topic-freshness {
        display: none;
    }
    li.bbp-forum-topic-count, li.bbp-forum-reply-count, li.bbp-forum-freshness {
        display: none;
    }
    li.bbp-forum-info, li.bbp-topic-title {
        float: left;
        text-align: left;
        width: 100%;
    }
}

#bbp_search_submit.button, #groups_search_submit {
    padding: .37em 2em;
}

@media screen and (max-width: 640px) { 
    a.fbx-close-caption {
       display:none;
    }
}

.fbx-modal {
    font-family: 'Roboto', sans-serif;
}